package math.repet;

public class Repet06 {
    public static void main(String[] args){
        double x = 1e16;
        System.out.println("Math.ulp(x) = " + Math.ulp(x));
        System.out.println("Math.nextDown(x) = " + Math.nextDown(x));
        System.out.println("Math.nextUp(x) = " + Math.nextUp(x));
        System.out.println(Math.nextUp(x) - Math.nextDown(x));
        double d1 = x;
        for(int i = 1; i < 2; i++){
            d1 = d1 + 0.444444;
        }
        System.out.println("różnica d1 - x = " + (d1 - x));
        double d2 = x;
        for(int i = 1; i < 2; i++){
            d2 = d2 + 1.444444;
        }
        System.out.println("różnica d2 - x = " + (d2 - x));
    }
}
